package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Btd;
import com.brilliance.isc.vo.lc.BtdWithPtsCbbResponseVo;
import com.brilliance.isc.vo.lc.LetselQueryVo;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

public interface BtdMapper {

    int insert(Btd record);

    int insertSelective(Btd record);

    int updateByPrimaryKeySelective(Btd record);

    int updateByPrimaryKey(Btd record);

    int deleteByPrimaryKey(Btd record);

    int deleteByIds(Collection<Object> collection);

    Btd selectByPrimaryKey(Btd record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Btd> dyncRead(Map<String,Object> dyncMap);

    List<BtdWithPtsCbbResponseVo> queryBtd(LetselQueryVo letselQueryVo);

    int getActUtlBTCount(@Param("pntinr")String pntinr);

    int getActAdvisedBTCount(@Param("pntinr")String pntinr);

    List<Btd> selectBtdInrByPntInrOutRcvDatBe2(@Param("inr") String inr);

    String selectLtdInrByBtdInr(@Param("inr") String inr);


    List<BtdWithPtsCbbResponseVo> queryBtdInfo(LetselQueryVo letselQueryVo);

    List<Btd> queryBtdsByPntinr(@Param("pntInr")String pntInr);

    List<Btd> queryBtdsByPntinrAndOrddatbe2(@Param("pntInr")String pntInr);

    Btd selectByAnyref(@Param("objtyp") String objtyp, @Param("ref") String ref, @Param("rol") String rol);

    Btd selectByWhere(Btd record);

    Btd selectByOwnref(String ownref);

}
